#include "tests/ArrayTests.hpp"

#include "data/Array.hpp"
#include "test/Test.hpp"

static void testToString1() {
    Core::Array<int, 3> a;
    a[0] = 1;
    a[1] = 243;
    a[2] = -423;
    CORE_TEST_STRING("[1, 243, -423]", a);
}

static void testToString2() {
    Core::Array<int, 1> a;
    a[0] = 1;
    CORE_TEST_STRING("[1]", a);
}

void Core::ArrayTests::test() {
    testToString1();
    testToString2();
}