#include "utils/New.hpp"

#include <stdlib.h>

void* operator new(size_t bytes) noexcept {
    return malloc(bytes);
}

void* operator new[](size_t bytes) noexcept {
    return malloc(bytes);
}

void operator delete(void* p) noexcept {
    free(p);
}

void operator delete[](void* p) noexcept {
    free(p);
}

void operator delete(void* p, size_t bytes) noexcept {
    (void)bytes;
    free(p);
}

void operator delete[](void* p, size_t bytes) noexcept {
    (void)bytes;
    free(p);
}

void* operator new(size_t bytes, void* p) noexcept {
    (void)bytes;
    return p;
}

/*void* operator new[](size_t bytes, void* p) noexcept {
    (void)bytes;
    return p;
}*/