#include "utils/Logger.hpp"

Core::Logger::Level Core::Logger::level = Core::Logger::Level::DEBUG;

const char* Core::Logger::getFileName(const char* path) {
    int end = 0;
    while(path[end] != '\0') {
        end++;
    }
    while(end > 0 && path[end - 1] != '/') {
        end--;
    }
    return path + end;
}